@echo off
if "%1" == "/r" goto remove
chdir OS2DEMO
OS2DEMO
goto end
:remove
chdir OS2DEMO
if exist OS2DEMO.DFL goto nukem
goto trouble
:nukem
echo About to delete files for OS2DEMO demo
echo Press the CTRL and C keys together to cancel
echo For deletion:
pause
dir /w
del *.*
cd ..
rd OS2DEMO
echo Demo: OS2DEMO has been removed
del OS2DEMO.bat
:trouble
echo ************************************************
echo The batch file cannot confirm that the files
echo to be deleted are the correct ones. Please
echo delete the demo manually to be on the safe side.
echo ************************************************
:end
